%if 0%{?fedora} || 0%{?rhel} >= 8
%global py_interp %{__python3}
%else
%global py_interp %{__python2}
%endif


Name:		mint-y-icons
Version:	1.0.8
Release:	6%{?dist}
Summary:	The Mint-Y icon theme

License:	CC-BY-SA
URL:		http://linuxmint.com
Source0:	http://packages.linuxmint.com/pool/main/m/%{name}/%{name}_%{version}.tar.xz

BuildArch:	noarch

BuildRequires:	fdupes
%if 0%{?fedora} || 0%{?rhel} >= 8
BuildRequires:	python3-devel
%else
BuildRequires:	python2-devel
%endif

Requires:	filesystem
Requires:	mint-x-icons

%description
%{summary}.


%prep
%autosetup -c


%build
# Add links for some additional programs.
pushd %{name}
%{py_interp} ./create-links utilities-terminal.png com.gexperts.Tilix.png
%{py_interp} ./create-links internet-telephony.png modem-manager-gui.png
%{py_interp} ./create-links preferences-desktop-online-accounts.png cs-online-accounts.png
popd


%install
%{__cp} -pr %{name}%{_prefix} %{buildroot}
%fdupes -s %{buildroot}


%post
for d in $(%{_bindir}/find %{_datadir}/icons -maxdepth 1 -type d -name 'Mint-Y*') ; do
	/bin/touch --no-create %{_datadir}/icons/${d} &>/dev/null || :
done


%postun
if [ $1 -eq 0 ] ; then
	for d in $(%{_bindir}/find %{_datadir}/icons -maxdepth 1 -type d -name 'Mint-Y*') ; do
		/bin/touch --no-create %{_datadir}/icons/${d} &>/dev/null
		%{_bindir}/gtk-update-icon-cache %{_datadir}/icons/${d} &>/dev/null || :
	done
fi


%posttrans
for d in $(%{_bindir}/find %{_datadir}/icons -maxdepth 1 -type d -name 'Mint-Y*') ; do
	%{_bindir}/gtk-update-icon-cache %{_datadir}/icons/${d} &>/dev/null || :
done


%files
%license %{name}/debian/copyright
%doc %{name}/debian/changelog %{name}/README.md
%{_datadir}/icons/Mint-Y*


%changelog
* Fri Sep 08 2017 Björn Esser <besser82@fedoraproject.org> - 1.0.8-6
- Add eye-candy for online-accounts

* Sun Aug 27 2017 Björn Esser <besser82@fedoraproject.org> - 1.0.8-5
- Adjustments for building on EPEL

* Sun Aug 27 2017 Björn Esser <besser82@fedoraproject.org> - 1.0.8-4
- Create symlinks for modem-manager-gui

* Fri Aug 25 2017 Björn Esser <besser82@fedoraproject.org> - 1.0.8-3
- Create symlinks for tilix

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.8-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Wed Jun 21 2017 Björn Esser <besser82@fedoraproject.org> - 1.0.8-1
- New upstream release (rhbz#1463454)

* Wed May 24 2017 Björn Esser <besser82@fedoraproject.org> - 1.0.7-1
- New upstream release (rhbz#1450541)

* Mon May 08 2017 Björn Esser <besser82@fedoraproject.org> - 1.0.5-1
- New upstream release (rhbz#1448743)

* Sat Apr 08 2017 Björn Esser <besser82@fedoraproject.org> - 1.0.4-6
- Create symlinks for additional apps with script in sources

* Sat Apr 08 2017 Björn Esser <besser82@fedoraproject.org> - 1.0.4-5
- Add icons for lightdm-settings

* Sun Feb 05 2017 Björn Esser <besser82@fedoraproject.org> - 1.0.4-4
- Fix License GPLv3+  --->  CC-BY-SA

* Sun Feb 05 2017 Björn Esser <besser82@fedoraproject.org> - 1.0.4-3
- Symlink files to save disk-space

* Sat Feb 04 2017 Björn Esser <besser82@fedoraproject.org> - 1.0.4-2
- Add icons for dnfdragora

* Mon Jan 09 2017 Björn Esser <bjoern.esser@gmail.com> - 1.0.4-1
- Initial rpm-release (rhbz#1411153)

* Sun Jan 08 2017 Björn Esser <bjoern.esser@gmail.com> - 1.0.4-0.1
- Initial package (rhbz#1411153)
